<?php
/* $Id: holidays.no.inc.php,v 1.3 2003/10/02 16:56:05 k-fish Exp $ */

if (date("dm", $date) == "0101") $holiday = Lang::getLanguageString("newyear");	
elseif (date("dm", $date) == "0105") $holiday = Lang::getLanguageString("firstmay");
elseif (date("dm", $date) == "1705") $holiday = Lang::getLanguageString("constitution");
elseif (date("dm", $date) == "2306") $holiday = Lang::getLanguageString("midsummer");       
elseif (date("dm", $date) == "2412") $holiday = Lang::getLanguageString("holychristmas");       
elseif (date("dm", $date) == "2512") $holiday = Lang::getLanguageString("firstchristmas");
elseif (date("dm", $date) == "2612") $holiday = Lang::getLanguageString("secondchristmas");
elseif (date("dm", $date) == "3112") $holiday = Lang::getLanguageString("newyearseve");
else {
    if (date("dmY",$date) == date("dmY",$easter-3600*24*7)) $holiday = Lang::getLanguageString("palmsunday");
    elseif (date("dmY",$date) == date("dmY",$easter-3600*24*3)) $holiday = Lang::getLanguageString("easterthursday");
    elseif (date("dmY",$date) == date("dmY",$easter-3600*24*2)) $holiday = Lang::getLanguageString("easterfriday");
    elseif (date("dmY",$date) == date("dmY",$easter-3600*24*1)) $holiday = Lang::getLanguageString("eastersaturday");
    elseif (date("dmY",$date) == date("dmY",$easter)) $holiday = Lang::getLanguageString("eastersunday");
    elseif (date("dmY",$date) == date("dmY",$easter+3600*24)) $holiday = Lang::getLanguageString("eastermonday"); 
    elseif (date("dmY",$date) == date("dmY",$easter+3600*24*39)) $holiday = Lang::getLanguageString("himmelfahrt");
    elseif (date("dmY",$date) == date("dmY",$easter+3600*24*49)) $holiday = Lang::getLanguageString("pfingstsunday");      		    
    elseif (date("dmY",$date) == date("dmY",$easter+3600*24*50)) $holiday = Lang::getLanguageString("pfingstmonday");      		    
    else $holiday = "";    		    
}	
?>